## php.java.bridge
Class SessionFactory

    java.lang.Object
      php.java.bridge.SessionFactory

Direct Known Subclasses:
  ContextFactory

    public class SessionFactory

extends java.lang.Object

Create new session or context instances

Author:
  jostb
See Also:
  `Session`, `Context`, `Context`, `ContextFactory`, `ServletContextFactory`, `PhpScriptContextFactory`

Method Summary
`java.lang.Object` `getContext()` Return the associated context
`ISession` `getSession(java.lang.String name, boolean clientIsNew, int timeout)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSession

    public ISession getSession(java.lang.String name,
                               boolean clientIsNew,
                               int timeout)

  Parameters:
    `name` - The session name. If name is null, the name PHPSESSION will be used.
    `clientIsNew` - true if the client wants a new session
    `timeout` - timeout in seconds. If 0 the session does not expire.
  Returns:
    The session
  See Also:
    `ISession`

### getContext

    public java.lang.Object getContext()

  Return the associated context

  Returns:
    Always null
  See Also:
    `ContextFactory.getContext()`